--  Configuration for adacutilgnatcoll generated by Alire
pragma Restrictions (No_Elaboration_Code);
pragma Style_Checks (Off);

package Adacutilgnatcoll_Config is
   pragma Pure;

   Crate_Version : constant String := "23.0.0";
   Crate_Name : constant String := "adacutilgnatcoll";

   Alire_Host_OS : constant String := "macos";

   Alire_Host_Arch : constant String := "x86_64";

   Alire_Host_Distro : constant String := "distro_unknown";

   Mmap : constant Boolean := True;

   type Build_Profile_Kind is (release, validation, development);
   Build_Profile : constant Build_Profile_Kind := release;

   type Trace_Level_Kind is (Info, Details, Debug);
   Trace_Level : constant Trace_Level_Kind := Info;

   type Target_OS_Kind is (llvm, aarch64_darwin, aarch64_elf, aarch64_linux, aarch64_netbsd, arm_android, arm_darwin, arm_elf, arm_linux, arm7_netbsd, arm7eb_netbsd, avr_elf, riscv32_elf, riscv32_netbsd, riscv64_elf, riscv64_netbsd, x86_64_darwin, x86_64_freebsd, x86_64_linux, x86_64_netbsd, x86_64_windows, x86_darwin, x86_elf, x86_cygwin, x86_freebsd, x86_linux, x86_netbsd, x86_windows);
   Target_OS : constant Target_OS_Kind := x86_64_darwin;

   type Host_OS_Kind is (AIX, Darwin, FreeBSD, NetBSD, OpenBSD, GNU_Linux, Linux, Cygwin, Msys, OS_390, QNX, SunOS, MS_Windows);
   Host_OS : constant Host_OS_Kind := Darwin;

   Madvise : constant Boolean := True;

end Adacutilgnatcoll_Config;
